#include <Servo.h>
Servo mServo1;
Servo mServo2;

void setup() {
  Serial.begin(9600);
  mServo1.attach(9);
  mServo2.attach(10);
  pinMode(2, INPUT_PULLUP);
}

void loop() {
  char c,v;
  if(Serial.available()>2){
    c=Serial.read();
    if(c=='a'||c=='b'){
      int x=(char)Sesrial.read();
      mServo1.write(x*20);//(x*12);
      int y =(char)Serial.read();
      mServo2.write(y*16+30);//(y*12+84);
      if(c=='a'){
        delay(200);
        for(int i=0;i<500;i++){
          v = digitalRead(2);
          if(v==LOW){
            v=0;
            break;
          }
          delay(1);
         }
         Serial.write(v);
      }
    }
  }

}
